<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/alternative-distribution-keys",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Alternative Distribution Keys"
}
-->

# Alternative Distribution Keys

Create and manage keys for an alternative app distribution.

## Discussion

As an alternative marketplace developer you create keys and JSON web tokens (JWTs) to authenticate and connect your marketplace to the apps distributed on your marketplace.

The alternative distribution key you upload to App Store Connect is a public key. Your alternative distribution key is assocaited with all alternative distribution apps in your account. You can optionally assocaite a key with a single althernative disitribution app by adding a relationship in the payload when calling [`Add an Alternative Distribution Key`](/documentation/AppStoreConnectAPI/POST-v1-alternativeDistributionKeys). To learn more about creating this key, see [Creating keys and establishing alternative marketplace connections](/documentation/AppStoreConnectAPI/creating-keys-and-establishing-alternative-marketplace-connections).

The alternative distribution key `ID`, which you can find in the response body of the endpoint described in  [`Read an App’s Alternative Distribution Key`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-alternativeDistributionKey) is also a part of creating the JWT for <doc://com.apple.documentation/documentation/marketplacekit/supplying-an-install-verification-token>.

When using web distribution, you need to create an alternative distribution key, the private half of the key pair is used for install verification.  To learn more about creating keys for web distribution, see [Creating and configuring keys for web distribution](/documentation/AppStoreConnectAPI/creating-and-configuring-keys-for-web-distribution). For more information, see <doc://com.apple.documentation/documentation/marketplacekit/supplying-an-install-verification-token>.

## Topics

### Creating and reading keys

[Creating keys and establishing alternative marketplace connections](/documentation/AppStoreConnectAPI/creating-keys-and-establishing-alternative-marketplace-connections)

Manage keys you use to sign JSON web tokens and connect marketplaces with apps.

[Creating and configuring keys for web distribution](/documentation/AppStoreConnectAPI/creating-and-configuring-keys-for-web-distribution)

Manage keys you use to sign JSON web tokens (JWTs).

[`POST /v1/alternativeDistributionKeys`](/documentation/AppStoreConnectAPI/POST-v1-alternativeDistributionKeys)

Add an alternative distribution key for your alternative marketplace app or web distribution.

[`GET /v1/alternativeDistributionKeys`](/documentation/AppStoreConnectAPI/GET-v1-alternativeDistributionKeys)

List the alternative distribution key for your account.

[`GET /v1/alternativeDistributionKeys/{id}`](/documentation/AppStoreConnectAPI/GET-v1-alternativeDistributionKeys-_id_)

Read the public key information for a specific alternative distribution key.

[`GET /v1/apps/{id}/relationships/alternativeDistributionKey`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-alternativeDistributionKey)

[`GET /v1/apps/{id}/alternativeDistributionKey`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-alternativeDistributionKey)

Get the alternative distribution keys for a specific app.

[`DELETE /v1/alternativeDistributionKeys/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-alternativeDistributionKeys-_id_)

Remove an alternative distribution key from your account.

### Objects

[`AlternativeDistributionKey`](/documentation/AppStoreConnectAPI/AlternativeDistributionKey)

A public key used to authorize an alternative marketplace or web distribution to offer your app outside the App Store.

[`AlternativeDistributionKeyResponse`](/documentation/AppStoreConnectAPI/AlternativeDistributionKeyResponse)

The response body for endpoints that create or read a single alternative distribution key.

[`AlternativeDistributionKeysResponse`](/documentation/AppStoreConnectAPI/AlternativeDistributionKeysResponse)

The response body for endpoints that list alternative distribution keys.

[`AlternativeDistributionKeyCreateRequest`](/documentation/AppStoreConnectAPI/AlternativeDistributionKeyCreateRequest)

The request body you use to create an alternative distribution key.

[`AppAlternativeDistributionKeyLinkageResponse`](/documentation/AppStoreConnectAPI/AppAlternativeDistributionKeyLinkageResponse)



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)